> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/textyalignment.md).

# TextYAlignment

## Overview

TextYAlignment는 텍스트의 수직 정렬 스타일을 지정하는 Enum입니다.

TextLabel과 TextButton의 TextYAlignment 속성에서 사용되며, 텍스트가 요소 내에서 위쪽, 가운데, 아래쪽 중 어디에 배치될지를 결정합니다.

## Items

| Name   | Value | Description          |
| ------ | ----- | -------------------- |
| Top    | 0     | 텍스트를 위쪽에 정렬합니다.      |
| Center | 1     | 텍스트를 수직으로 가운데 정렬합니다. |
| Bottom | 2     | 텍스트를 아래쪽에 정렬합니다.     |

## See also

{% content-ref url="/pages/EgWxUIbUDIALVPZH7qN0" %}
[TextButton](/korean/development/api-reference/classes/textbutton.md)
{% endcontent-ref %}

{% content-ref url="/pages/TCVRv0pNSKmoRlYtDnNq" %}
[TextLabel](/korean/development/api-reference/classes/textlabel.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/textyalignment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
